import logging

from bayer import additional_information  # noqa: F401
from epdb.template_registry import register_template

logger = logging.getLogger(__name__)

# PES Create
register_template(
    "epdb.actions.collections.compound",
    "actions/collections/new_pes.html",
)
register_template(
    "modals.collections.compound",
    "modals/collections/new_pes_modal.html",
)
register_template(
    "epdb.actions.objects.pathway.add",
    "actions/objects/pathway_add_pes.html",
)
register_template(
    "epdb.modals.objects.pathway.add",
    "modals/objects/add_pathway_pes_node_modal.html"
)

# PES Viz
register_template(
    "epdb.objects.compound.viz",
    "objects/compound_viz.html",
)

register_template(
    "epdb.objects.compound_structure.viz",
    "objects/compound_structure_viz.html",
)

register_template(
    "epdb.objects.node.viz",
    "objects/node_viz.html",
)
